import dbsettings
from django import forms


class ContractSettings(dbsettings.Group):
    motd = dbsettings.StringValue(
        "Informace na indexové stránce",
        help_text="Poporuje formátování skrze Markdown.",
        widget=forms.Textarea,
    )

    nastenka_api_key = dbsettings.StringValue("API Token pro Nástěnku")

    is_closed = dbsettings.BooleanValue("Registr je uzavřen")

    closed_message = dbsettings.StringValue(
        "Text při uzavřeném registru",
        widget=forms.Textarea,
    )
